jparallax

link error
link error
link error

Saturday, March 13, 2010

[教學] 如何「強迫」OS X內建的Mail4.0軟體使用POP3協定

Apple推出的OS X.6版(Snow Leopard) 搞砸了一堆事情,有時候我真的認為它們是來亂的。
  • 大量移動FAT格式檔案時會出現錯誤訊息
  • 滑鼠的scaling功能被移除,導致10.5之前可以改善游標移動不順的軟體統統失效了
  • 現在,又多一項新的: Mail 4.0
以前Mail 3.0的時代,我會在上面建立一個POP3的GMail帳號,專門用來下載我的GMail信件,作為備份用途。
升級到OSX.6之後,Mail也同時升級到4.0了,想不到,聰明的Apple以為子民們不會想再用過時的POP3協定了,居然強迫所有新建立的帳號都要用IMAP協定!

啊我就是要用來備份信件的,IMAP對我有個屁用? (IMAP是遠端存取信件的協定,所以不會把信件下載到本機硬碟)
上網查過了以後,發現很多人也有相同的疑問: 為什麼不能用POP3協定了? (更好笑的是,還有一群搞不清楚狀況的網友,不斷地說IMAP比較好啊,幹嘛不用IMAP?)

還好,山不轉路轉,Apple雖然鴨霸,但不是愚蠢,他們並沒有完全拿掉對POP3的支援,還是有方法可以「騙」它使用POP3協定的,下面就是方法:
  1. 關閉GMail的IMAP支援: 在GMail的網頁裡面選「Settings」->「Forwarding and POP/IMAP」,在IMAP Access的地方選Disable IMAP,然後儲存設定
  2. 開啟Mail 4.0,建立新帳號,填入你的GMail帳號密碼
  3. 現在因為IMAP支援被關閉了,Mail 4.0會跟你說無法正確設定帳號,而要你繼續手動設定,沒關係,這就是我們要的 A_A,按繼續

  4. 現在我們就可以選帳號類型了,選「POP] , 然後將收件伺服器改成「pop.gmail.com」,繼續

  5. 這邊不需要修改任何東西,繼續

  6. 選「製作」

  7. 在帳號可以使用之前,還有一個設定要改。選擇剛才新建立的帳號,選「進階」分頁,然後將「傳輸埠」由993改為995 (因為GMail POP3的傳輸埠是995才對)

  8. 完成了,快樂地收信吧! 此時如果你還需要GMail帳號的IMAP功能 (比如說給iPhone用的),可以回網頁去開啟它了。

2 comments:

Artoo said...

IMAP不能下載信件?
太久沒用,都忘記了
請用GMail~

Detoo said...

噢 我突然發現...原來Mail 4.0的IMAP有提供「離線檢視」的功能,這樣其實就算備份了 XD